Self-serve contractor payments

Self Serve List Contractor Invites

Lists the org's contractor invites, marking overdue PENDING invites EXPIRED as a side effect.

GEThttps://api.toku.com/hris/self-serve-list-contractor-invites

Not available to API keys yet. It will need people:write.

curl --request GET \
  --url 'https://api.toku.com/hris/self-serve-list-contractor-invites' \
  --header 'Authorization: Bearer <token>'
200 response
{
  "invites": [
    {
      "inviteID": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "email": "string",
      "status": "PENDING",
      "expiresAt": "string",
      "createdAt": "string"
    }
  ]
}

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.

Query parameters

statusstring

Available options: PENDING, ACCEPTED, EXPIRED, CANCELLED

Response

200Successful response
invitesobject[]required
Show child attributes
inviteIDstring<uuid>required
emailstringrequired
statusstringrequired

Available options: PENDING, ACCEPTED, EXPIRED, CANCELLED

expiresAtstringrequired
createdAtstringrequired
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits